View Issue Details

IDProjectCategoryView StatusLast Update
0001937FreeCADBugpublic2017-05-30 13:53
Reporterulrich1aAssigned Towandererfan 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0001937: Projections of helix coils are largely disturbed and unusable in technical drawings
DescriptionI made an example to show the problem. See http://forum.freecadweb.org/viewtopic.php?f=3&t=9513#p77088
The example is also uploaded here.
I made test under windows and Debian with the development version 0.15.4527
The problem shows up with OCCT 6.7.1 and 6.8
Steps To Reproduce- Make a helix coil by sweeping a circle along a helix.
- Project the shape in a drawing
- Depending on the dimensions different failures in the projection are exposed: Hidden lines are not removed; curves are disturbed, Lines are missing
Tagsbump, OCC Bug, upstream

Relationships

related to 0001612 closedyorik Draft Projecting arcs to SVG gives wrong results under certain angles 

Activities

ulrich1a

2015-01-28 10:53

reporter  

helix_projection.FCStd (Attachment missing)

shoogen

2015-01-28 11:00

developer   ~0005744

There are two kinds of problems involved.
The distortion of curves is only present in the Drawing module.
The missing and falsely visible lines can be reproduced by Draft/2DShapeViews and are thou likely caused the hidden line removal algorithms of OCCT

shoogen

2015-02-03 12:17

developer   ~0005758

http://tracker.dev.opencascade.org/view.php?id=25776

Kunda1

2017-03-25 11:56

manager   ~0008703

Original bug reported on forum by Ulrich:

OS: Windows 7
Word size of OS: 32-bit
Word size of FreeCAD: 32-bit
Version: 0.15.4527 (Git)
Branch: master
Hash: 0da2e4c45a9a259c26abd54c2a35393e1c15696f
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.1


helix_projection-original-ulrich-OCC6.7.1.png (Attachment missing)

Kunda1

2017-03-25 12:00

manager   ~0008704

Last edited: 2017-03-25 12:07

View 3 revisions

NormandC reports the following in OCC 6.8.0 (improvement):
OS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6707 (Git)
Build type: None
Branch: releases/FreeCAD-0-16
Hash: 5465bc47c95db45e0be85dc0e2872419efadce0f
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=9513&start=10#p167103



FC_ulrich1a_helix_projection_6.8.0.oce-0.17.png (Attachment missing)

Kunda1

2017-03-25 12:03

manager   ~0008705

Last edited: 2017-03-25 12:08

View 2 revisions

NormandC reports the following in 7.10 in Drawing WB (improvement but still not correct)
OS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10611 (Git)
Build type: None
Branch: master
Hash: 44a9ecd25f27ec3efe52c9de9c95ef2b3e19dd17
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=9513&start=10#p167103



FC_ulrich1a_helix_projection_0.17-git-DrawingWB-OCC7.1.0.png (Attachment missing)

Kunda1

2017-03-25 12:06

manager   ~0008706

Last edited: 2017-03-25 12:08

View 3 revisions

NormandC reports the following in 7.10 in TechDraw WB (Regression!)
OS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.10611 (Git)
Build type: None
Branch: master
Hash: 44a9ecd25f27ec3efe52c9de9c95ef2b3e19dd17
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0

CC @wandererfan
Forum thread: https://forum.freecadweb.org/viewtopic.php?f=3&t=9513&start=10#p167103



FC_ulrich1a_helix_projection_0.17-git-TechDrawWB-OCC7.1.0..png (Attachment missing)

Kunda1

2017-05-30 10:32

manager   ~0009191

p:FreeCAD:786:

wmayer

2017-05-30 13:53

administrator   ~0009193

https://github.com/FreeCAD/FreeCAD/commit/052704eb0c334f7c14a92977a176c5a1c9b8c152
https://github.com/FreeCAD/FreeCAD/pull/786

Issue History

Date Modified Username Field Change
2015-01-28 10:53 ulrich1a New Issue
2015-01-28 10:53 ulrich1a File Added: helix_projection.FCStd
2015-01-28 10:57 shoogen Status new => acknowledged
2015-01-28 11:00 shoogen Note Added: 0005744
2015-01-28 11:02 shoogen Relationship added related to 0001612
2015-02-03 12:17 shoogen Tag Attached: OCC Bug
2015-02-03 12:17 shoogen Note Added: 0005758
2017-01-15 04:44 Kunda1 Tag Attached: upstream
2017-01-27 01:37 Kunda1 Tag Attached: bump
2017-03-25 11:56 Kunda1 File Added: helix_projection-original-ulrich-OCC6.7.1.png
2017-03-25 11:56 Kunda1 Note Added: 0008703
2017-03-25 12:00 Kunda1 File Added: FC_ulrich1a_helix_projection_6.8.0.oce-0.17.png
2017-03-25 12:00 Kunda1 Note Added: 0008704
2017-03-25 12:03 Kunda1 File Added: FC_ulrich1a_helix_projection_0.17-git-DrawingWB-OCC7.1.0.png
2017-03-25 12:03 Kunda1 Note Added: 0008705
2017-03-25 12:04 Kunda1 Note Edited: 0008704 View Revisions
2017-03-25 12:06 Kunda1 File Added: FC_ulrich1a_helix_projection_0.17-git-TechDrawWB-OCC7.1.0..png
2017-03-25 12:06 Kunda1 Note Added: 0008706
2017-03-25 12:06 Kunda1 Note Edited: 0008706 View Revisions
2017-03-25 12:07 Kunda1 Note Edited: 0008704 View Revisions
2017-03-25 12:08 Kunda1 Note Edited: 0008705 View Revisions
2017-03-25 12:08 Kunda1 Note Edited: 0008706 View Revisions
2017-03-27 08:07 Kunda1 Status acknowledged => confirmed
2017-05-30 10:32 Kunda1 Note Added: 0009191
2017-05-30 13:53 wmayer Assigned To => wandererfan
2017-05-30 13:53 wmayer Status confirmed => closed
2017-05-30 13:53 wmayer Resolution open => fixed
2017-05-30 13:53 wmayer Fixed in Version => 0.17
2017-05-30 13:53 wmayer Note Added: 0009193